Skip to main content
`Ctrl`+`K`

# PetscWeakFormReplaceLabel

Change any key on a label of the same name to use the new label

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormReplaceLabel(PetscWeakForm wf, DMLabel label)

Not Collective

## Input Parameters

- wf - The original `PetscWeakForm`

- label - The label to change keys for

## Note

This is used internally when meshes are modified

## See Also

`PetscWeakForm`, `DMLabel`, `PetscWeakFormRewriteKeys()`, `PetscWeakFormCreate()`, `PetscWeakFormDestroy()`

## Level

intermediate

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages